require "Wherigo"
ZonePoint = Wherigo.ZonePoint
Distance = Wherigo.Distance
Player = Wherigo.Player

-- #Author Directives Go Here# --
-- #End Author Directives# --

cartRailgo = Wherigo.ZCartridge()

-- MessageBox Callback Functions Table used by the Builder --
cartRailgo.MsgBoxCBFuncs = {}

zmediatunnel = Wherigo.ZMedia(cartRailgo)
zmediatunnel.Name="tunnel"
zmediatunnel.Description=""
zmediatunnel.AltText=""
zmediatunnel.Id="0bb6fdbc-56fa-4ac1-bddb-a8f14e822cda"
zmediatunnel.Resources = {
{ Type = "jpg", Filename = "tunnel04.jpg", Directives = {},},
}
zmediaautomotrice = Wherigo.ZMedia(cartRailgo)
zmediaautomotrice.Name="automotrice"
zmediaautomotrice.Description="Rbe 540 en gare de Vauderens assurant un train regional Romont - Palezieux"
zmediaautomotrice.AltText=""
zmediaautomotrice.Id="a9f23ef6-804a-4326-be6c-a17825c89cbe"
zmediaautomotrice.Resources = {
{ Type = "jpg", Filename = "IMG_0906.JPG", Directives = {},},
}
zmediaciterne = Wherigo.ZMedia(cartRailgo)
zmediaciterne.Name="citerne"
zmediaciterne.Description="wagon UCS pour transport de carburant"
zmediaciterne.AltText=""
zmediaciterne.Id="9fc3c1e5-d5b2-4baf-b1e5-c49a5f289406"
zmediaciterne.Resources = {
{ Type = "jpg", Filename = "sbb_zas_bpl.jpg", Directives = {},},
}
zmediaChasseauxtresors = Wherigo.ZMedia(cartRailgo)
zmediaChasseauxtresors.Name="Chasse aux tresors"
zmediaChasseauxtresors.Description="generique"
zmediaChasseauxtresors.AltText="musique d'intro"
zmediaChasseauxtresors.Id="c7442f26-71cf-46ee-8f58-56bee6a69f83"
zmediaChasseauxtresors.Resources = {
{ Type = "mp3", Filename = "generique.mp3", Directives = {},},
{ Type = "fdl", Filename = "indiana.fdl", Directives = {},},
}
zmediadanger = Wherigo.ZMedia(cartRailgo)
zmediadanger.Name="danger"
zmediadanger.Description="danger electricite"
zmediadanger.AltText=""
zmediadanger.Id="957821e8-8f44-42b3-91b5-1668da9d150e"
zmediadanger.Resources = {
{ Type = "jpg", Filename = "panneau_024.jpg", Directives = {},},
}
zmediagloup = Wherigo.ZMedia(cartRailgo)
zmediagloup.Name="gloup"
zmediagloup.Description="essence"
zmediagloup.AltText="son essence"
zmediagloup.Id="e6a4f6e0-9341-4e6f-ad2a-84aeea0029e2"
zmediagloup.Resources = {
{ Type = "mp3", Filename = "bubbling.mp3", Directives = {},},
{ Type = "fdl", Filename = "gloupplouf.fdl", Directives = {},},
}
zmediaindice = Wherigo.ZMedia(cartRailgo)
zmediaindice.Name="indice"
zmediaindice.Description="la finale"
zmediaindice.AltText=""
zmediaindice.Id="3007655a-b7bb-4704-849f-db52ee1d6d93"
zmediaindice.Resources = {
{ Type = "jpg", Filename = "indice.jpg", Directives = {},},
}
zmediapieton = Wherigo.ZMedia(cartRailgo)
zmediapieton.Name="pieton"
zmediapieton.Description="personage marchant"
zmediapieton.AltText="personnage marchant"
zmediapieton.Id="9b056d0b-1c91-4f41-b495-d3a4a908812d"
zmediapieton.Resources = {
{ Type = "jpg", Filename = "trackwalker.jpg", Directives = {},},
}
zmediapausegarfield = Wherigo.ZMedia(cartRailgo)
zmediapausegarfield.Name="pause garfield"
zmediapausegarfield.Description="Garfield au repos"
zmediapausegarfield.AltText="Garfield au repos"
zmediapausegarfield.Id="3fe3bb28-e622-4121-aa8e-df0d305406b3"
zmediapausegarfield.Resources = {
{ Type = "jpg", Filename = "pause.jpg", Directives = {},},
}
zmedianananere = Wherigo.ZMedia(cartRailgo)
zmedianananere.Name="nananere"
zmedianananere.Description="ironie"
zmedianananere.AltText=""
zmedianananere.Id="c3d93031-d04b-4776-88ab-28b9e540a806"
zmedianananere.Resources = {
{ Type = "fdl", Filename = "nananere.fdl", Directives = {},},
{ Type = "mp3", Filename = "aaa.mp3", Directives = {},},
}
zmediabepp = Wherigo.ZMedia(cartRailgo)
zmediabepp.Name="bepp"
zmediabepp.Description="entree d'une zone"
zmediabepp.AltText=""
zmediabepp.Id="7666b2f9-4b94-4a88-88c6-1d2bffcf72c6"
zmediabepp.Resources = {
{ Type = "fdl", Filename = "zone.fdl", Directives = {},},
{ Type = "mp3", Filename = "Bats.mp3", Directives = {},},
}
zmediaattention2 = Wherigo.ZMedia(cartRailgo)
zmediaattention2.Name="attention2"
zmediaattention2.Description="2em panneau danger"
zmediaattention2.AltText=""
zmediaattention2.Id="7d34dd79-e7b0-4b14-9354-bde1fe0e2f5c"
zmediaattention2.Resources = {
{ Type = "jpg", Filename = "panneau_024.jpg", Directives = {},},
}
zmediartepriv = Wherigo.ZMedia(cartRailgo)
zmediartepriv.Name="rtepriv"
zmediartepriv.Description="aide"
zmediartepriv.AltText=""
zmediartepriv.Id="6d15de4e-fcad-49e4-ac80-96f8e1e3cf1a"
zmediartepriv.Resources = {
{ Type = "jpg", Filename = "rtepr.jpg", Directives = {},},
}
zmediapiquet = Wherigo.ZMedia(cartRailgo)
zmediapiquet.Name="piquet"
zmediapiquet.Description="chercher ici"
zmediapiquet.AltText=""
zmediapiquet.Id="43c92055-fbbf-4f0b-91be-733431b48b7b"
zmediapiquet.Resources = {
{ Type = "jpg", Filename = "piquet.jpg", Directives = {},},
}
zmediabouche = Wherigo.ZMedia(cartRailgo)
zmediabouche.Name="bouche"
zmediabouche.Description="obliterateur"
zmediabouche.AltText=""
zmediabouche.Id="4b0f054b-81ec-42b2-8ae2-2f918eedbcf5"
zmediabouche.Resources = {
{ Type = "jpg", Filename = "bouche.jpg", Directives = {},},
}
-- Cartridge Info --
cartRailgo.Id="f0216565-eef2-4044-a795-84079d84aaab"
cartRailgo.Name="Rail go"
cartRailgo.Description=[[Bienvenue dans cette cartouche Elle vous emmenera le long du parcours ferroviaire le plus eleve entre Geneve et St-Gallen... Cette ligne a souvent pose des probleme de tractions de part les rampes rencontrees. Il fallait des Chamois pour gravir cette ligne ! Certe les profils se sont pas aussi eleves que le Gotthard ou le Lotschberg, mais ils reservent quelques sueurs aux chauffeurs des machines a vapeur vu les masses de charbon ingurgitees par ces engins. ]]
cartRailgo.Visible=true
cartRailgo.Activity="Geocache"
cartRailgo.StartingLocationDescription=[[]]
cartRailgo.StartingLocation = ZonePoint(46.6258333206177,6.85583330790202,0)
cartRailgo.Version="5"
cartRailgo.Company=""
cartRailgo.Author="Gerard"
cartRailgo.BuilderVersion="2.0.5129.5086"
cartRailgo.CreateDate="2/18/2012 4:20:11 PM"
cartRailgo.PublishDate="4/23/2012 3:10:36 PM"
cartRailgo.UpdateDate="6/7/2012 12:01:50 PM"
cartRailgo.LastPlayedDate="1/1/0001 12:00:00 AM"
cartRailgo.TargetDevice="PocketPC"
cartRailgo.TargetDeviceVersion="0"
cartRailgo.StateId="1"
cartRailgo.CountryId="2"
cartRailgo.Complete=false
cartRailgo.UseLogging=false

-- Zones --
zoneautomotrice = Wherigo.Zone(cartRailgo)
zoneautomotrice.Id="abdb4238-09ed-43af-b0d4-52cf1c997b19"
zoneautomotrice.Name="automotrice"
zoneautomotrice.Description=[[Depart de la quete.... Vous voici au debut de votre parcours ! Ce tunnel a une longueur de 1975 m. Ouvert en 2000 il remplace l'ancien long de 975 m. La mise en service d'un nouveau tunnel a permis, dans le cadre de Rail 2000, d'augmenter les vitesses des trains dans cette zone, le passage des vehicules a deux etages et d'entreprendre le chantier sans interrompre la circulation des trains sur la ligne durant toute la duree de la creuse. La legende veut qu'il s'agisse du point le plus haut sur la liaison ferrovaire directe en Marseille et Moscou... Cela reste a voir....   Cherchez autour de vous un indice "magnetise". A l'interieur vous trouverez la reponse a la 1ere question. ]]
zoneautomotrice.Visible=false
zoneautomotrice.DistanceRange = Distance(-1, "meters")
zoneautomotrice.ShowObjects="OnProximity"
zoneautomotrice.ProximityRange = Distance(10, "meters")
zoneautomotrice.AllowSetPositionTo=false
zoneautomotrice.Active=false
zoneautomotrice.Points = {
  ZonePoint(46.62425,6.85274,0),
  ZonePoint(46.62425,6.85283,0),
  ZonePoint(46.62418,6.85283,0),
  ZonePoint(46.62418,6.85274,0)
}
zoneautomotrice.OriginalPoint = ZonePoint(46.6242166519165,6.85278333028158,0)
zoneautomotrice.DistanceRangeUOM = "Meters"
zoneautomotrice.ProximityRangeUOM = "Meters"
zoneautomotrice.OutOfRangeName = ""
zoneautomotrice.InRangeName = ""
zoneautomotrice.Media=zmediatunnel

zonealimentation = Wherigo.Zone(cartRailgo)
zonealimentation.Id="45e5e6c5-0268-411b-b3fa-1ce0b1ea56fd"
zonealimentation.Name="alimentation"
zonealimentation.Description=[[Un point pour faire le plein!]]
zonealimentation.Visible=false
zonealimentation.DistanceRange = Distance(-1, "meters")
zonealimentation.ShowObjects="OnProximity"
zonealimentation.ProximityRange = Distance(10, "meters")
zonealimentation.AllowSetPositionTo=false
zonealimentation.Active=false
zonealimentation.Points = {
  ZonePoint(46.6236,6.85091,0),
  ZonePoint(46.6236,6.85109,0),
  ZonePoint(46.62347,6.85109,0),
  ZonePoint(46.62347,6.85091,0)
}
zonealimentation.OriginalPoint = ZonePoint(46.6235333124797,6.85100002288818,0)
zonealimentation.DistanceRangeUOM = "Meters"
zonealimentation.ProximityRangeUOM = "Meters"
zonealimentation.OutOfRangeName = ""
zonealimentation.InRangeName = ""
zonealimentation.Media=zmediaciterne

zonechercher = Wherigo.Zone(cartRailgo)
zonechercher.Id="3409055d-c05a-46f9-b8a8-5f7d26b8da80"
zonechercher.Name="chercher"
zonechercher.Description=[[Suivez la route principale en direction de la voie ferree. Lorsque vous pourrez bifurquer sur Blessens, partez sur la petit route en face.... Reperez le piquet orange.]]
zonechercher.Visible=false
zonechercher.DistanceRange = Distance(-1, "meters")
zonechercher.ShowObjects="OnProximity"
zonechercher.ProximityRange = Distance(10, "meters")
zonechercher.AllowSetPositionTo=false
zonechercher.Active=false
zonechercher.Points = {
  ZonePoint(46.62267,6.85119,0),
  ZonePoint(46.62267,6.85128,0),
  ZonePoint(46.6226,6.85128,0),
  ZonePoint(46.6226,6.85119,0)
}
zonechercher.OriginalPoint = ZonePoint(46.6226333618164,6.85123335520426,0)
zonechercher.DistanceRangeUOM = "Meters"
zonechercher.ProximityRangeUOM = "Meters"
zonechercher.OutOfRangeName = ""
zonechercher.InRangeName = ""
zonechercher.Media=zmediartepriv

zonesignaux = Wherigo.Zone(cartRailgo)
zonesignaux.Id="a06c1bc6-6510-4552-91c0-7049586d67db"
zonesignaux.Name="signaux"
zonesignaux.Description=[[Ou peut-on utiliser cette carte ? Enfin imiter les "grands" avec ce billet jouet ?  L'illustration devrait vous aider... Le cliche est pris depuis l'endroit que vous recherchez. Vous pouvez longer la maison et descendre les escaliers... Merci de refermer le petit portail derrire vous !]]
zonesignaux.Visible=false
zonesignaux.DistanceRange = Distance(150, "meters")
zonesignaux.ShowObjects="OnProximity"
zonesignaux.ProximityRange = Distance(25, "meters")
zonesignaux.AllowSetPositionTo=false
zonesignaux.Active=false
zonesignaux.Points = {
  ZonePoint(46.62168,6.85021,0),
  ZonePoint(46.62168,6.85039,0),
  ZonePoint(46.62155,6.85039,0),
  ZonePoint(46.62155,6.85021,0)
}
zonesignaux.OriginalPoint = ZonePoint(46.6216166814168,6.85030002593994,0)
zonesignaux.DistanceRangeUOM = "Meters"
zonesignaux.ProximityRangeUOM = "Meters"
zonesignaux.OutOfRangeName = ""
zonesignaux.InRangeName = ""
zonesignaux.Media=zmediaautomotrice

zoneFinale = Wherigo.Zone(cartRailgo)
zoneFinale.Id="963c729f-a297-494f-9010-2c903c4cfe8b"
zoneFinale.Name="Finale"
zoneFinale.Description=[[Reposez-vous pour chercher la cache. ]]
zoneFinale.Visible=false
zoneFinale.DistanceRange = Distance(-1, "meters")
zoneFinale.ShowObjects="OnProximity"
zoneFinale.ProximityRange = Distance(10, "meters")
zoneFinale.AllowSetPositionTo=false
zoneFinale.Active=false
zoneFinale.Points = {
  ZonePoint(46.62063,6.85543,0),
  ZonePoint(46.62063,6.85557,0),
  ZonePoint(46.62054,6.85557,0),
  ZonePoint(46.62054,6.85543,0)
}
zoneFinale.OriginalPoint = ZonePoint(46.6205833435059,6.85550003051758,0)
zoneFinale.DistanceRangeUOM = "Meters"
zoneFinale.ProximityRangeUOM = "Meters"
zoneFinale.OutOfRangeName = ""
zoneFinale.InRangeName = ""
zoneFinale.Media=zmediaindice

zoneRoches = Wherigo.Zone(cartRailgo)
zoneRoches.Id="73d5ee3e-49cb-4cd0-bd96-9be168f09309"
zoneRoches.Name="Roches"
zoneRoches.Description=[[reprenez, le cas echeant,  votre vehicule pour aller chercher l'indice !]]
zoneRoches.Visible=false
zoneRoches.DistanceRange = Distance(-1, "meters")
zoneRoches.ShowObjects="OnProximity"
zoneRoches.ProximityRange = Distance(10, "meters")
zoneRoches.AllowSetPositionTo=false
zoneRoches.Active=false
zoneRoches.Points = {
  ZonePoint(46.62311,6.85821,0),
  ZonePoint(46.62311,6.85839,0),
  ZonePoint(46.62299,6.85839,0),
  ZonePoint(46.62299,6.85821,0)
}
zoneRoches.OriginalPoint = ZonePoint(46.6230499903361,6.85830001831055,0)
zoneRoches.DistanceRangeUOM = "Meters"
zoneRoches.ProximityRangeUOM = "Meters"
zoneRoches.OutOfRangeName = ""
zoneRoches.InRangeName = ""
zoneRoches.Media=zmediapieton

zonepause = Wherigo.Zone(cartRailgo)
zonepause.Id="03170469-568f-4a42-81c3-0437e765cd4b"
zonepause.Name="pause"
zonepause.Description=[[petite pause ! Profitez du decors et chercher les coordonnes de l'emplacement final. Si vous etes amoureux du paysage vous devriez vous asseoir sur l'undice]]
zonepause.Visible=false
zonepause.DistanceRange = Distance(-1, "meters")
zonepause.ShowObjects="OnEnter"
zonepause.ProximityRange = Distance(20, "meters")
zonepause.AllowSetPositionTo=false
zonepause.Active=false
zonepause.Points = {
  ZonePoint(46.6188,6.85416,0),
  ZonePoint(46.6188,6.8543,0),
  ZonePoint(46.6187,6.8543,0),
  ZonePoint(46.6187,6.85416,0)
}
zonepause.OriginalPoint = ZonePoint(46.61875,6.85423336029053,0)
zonepause.DistanceRangeUOM = "Meters"
zonepause.ProximityRangeUOM = "Meters"
zonepause.OutOfRangeName = ""
zonepause.InRangeName = ""
zonepause.Media=zmediapausegarfield

-- Characters --

-- Items --

-- Tasks --
ztaskgoravita = Wherigo.ZTask(cartRailgo)
ztaskgoravita.Id="45549acb-c726-4251-938e-9bbc933522df"
ztaskgoravita.Name="goravita"
ztaskgoravita.Description=[[Trouvez un point de ravitaillement]]
ztaskgoravita.Visible=true
ztaskgoravita.Media=zmediaciterne
ztaskgoravita.Active=true
ztaskgoravita.Complete=false
ztaskgoravita.CorrectState = "None"

ztaskgocherche = Wherigo.ZTask(cartRailgo)
ztaskgocherche.Id="7554ccf3-4d02-404b-9706-2192c2246e8d"
ztaskgocherche.Name="gocherche"
ztaskgocherche.Description=[[Chercher la proximite de Moudon, Porsel et la boite derriere les Mottes, l'objet tu trouveras]]
ztaskgocherche.Visible=true
ztaskgocherche.Media=zmediadanger
ztaskgocherche.Active=true
ztaskgocherche.Complete=false
ztaskgocherche.CorrectState = "None"

ztaskgoga = Wherigo.ZTask(cartRailgo)
ztaskgoga.Id="6261163c-2e4d-4354-ab2d-0ae0a5ebd881"
ztaskgoga.Name="goga"
ztaskgoga.Description=[[Trouvez ou et comment usiter l'objet decouvert derriere les Mottes]]
ztaskgoga.Visible=true
ztaskgoga.Media=zmediapieton
ztaskgoga.Active=true
ztaskgoga.Complete=false
ztaskgoga.CorrectState = "None"

ztaskgoroche = Wherigo.ZTask(cartRailgo)
ztaskgoroche.Id="2f166e07-5d7b-4435-a19f-0fe236edbe0b"
ztaskgoroche.Name="goroche"
ztaskgoroche.Description=[[Reprenez votre vehicule et montez....]]
ztaskgoroche.Visible=true
ztaskgoroche.Media=zmediapieton
ztaskgoroche.Active=true
ztaskgoroche.Complete=false
ztaskgoroche.CorrectState = "None"

ztaskgofin = Wherigo.ZTask(cartRailgo)
ztaskgofin.Id="fc7c45c3-75e0-4d8a-8f52-e95d012fcc12"
ztaskgofin.Name="gofin"
ztaskgofin.Description=[[Enfin rendez-vous a la finale]]
ztaskgofin.Visible=true
ztaskgofin.Media=zmediaindice
ztaskgofin.Active=true
ztaskgofin.Complete=false
ztaskgofin.CorrectState = "None"

ztaskgoauto = Wherigo.ZTask(cartRailgo)
ztaskgoauto.Id="72d50f22-2292-4eda-b6f6-042336aeb3dd"
ztaskgoauto.Name="goauto"
ztaskgoauto.Description=[[Vous rendre au depart de la quete]]
ztaskgoauto.Visible=true
ztaskgoauto.Active=true
ztaskgoauto.Complete=false
ztaskgoauto.CorrectState = "None"

ztaskgopause = Wherigo.ZTask(cartRailgo)
ztaskgopause.Id="fd48ad82-b386-4336-a217-4272f0c4ff81"
ztaskgopause.Name="gopause"
ztaskgopause.Description=[[Petite pause, profitez-en !!]]
ztaskgopause.Visible=true
ztaskgopause.Media=zmediapausegarfield
ztaskgopause.Active=true
ztaskgopause.Complete=false
ztaskgopause.CorrectState = "None"

-- Cartridge Variables --
infrastructure = "200"
carte = "VD"
diametre = 90
automotrice = 471
gofin = ""
regional = "300"
signal = "890"
cartRailgo.ZVariables = {infrastructure = "200", carte = "VD", diametre = 90, automotrice = 471, gofin = "", regional = "300", signal = "890"}

-- Builder Variables (to be read by the builder only) --
buildervar = {}
buildervar.infrastructure = {}
buildervar.infrastructure.Id ="3368aa88-5e76-4c35-b52a-e633667e7070"
buildervar.infrastructure.Name = "infrastructure"
buildervar.infrastructure.Type = "String"
buildervar.infrastructure.Data=[[200]]
buildervar.infrastructure.Description=[[quelle infrastructure etait presente en gare pour ravitailler les machines a vapeur en gare de Vauderens. Tapez le code figurant a cote du dessin]]

buildervar.carte = {}
buildervar.carte.Id ="d67a2f88-f6ea-4d8f-a277-5bb3d5bf7517"
buildervar.carte.Name = "carte"
buildervar.carte.Type = "String"
buildervar.carte.Data=[[VD]]
buildervar.carte.Description=[[controle de la carte]]

buildervar.diametre = {}
buildervar.diametre.Id ="f48c871c-49ae-415a-91b9-6994b9ea6fce"
buildervar.diametre.Name = "diametre"
buildervar.diametre.Type = "Number"
buildervar.diametre.Data=[[90]]
buildervar.diametre.Description=[[le diametre de la conduite]]

buildervar.automotrice = {}
buildervar.automotrice.Id ="4656da76-db14-4116-bd10-19ee5f5c38da"
buildervar.automotrice.Name = "automotrice"
buildervar.automotrice.Type = "Number"
buildervar.automotrice.Data=[[471]]
buildervar.automotrice.Description=[[code de l'automotrice 1er indice]]

buildervar.gofin = {}
buildervar.gofin.Id ="389ad5d8-e87e-465d-8d8c-1e54e9c10112"
buildervar.gofin.Name = "gofin"
buildervar.gofin.Type = "String"
buildervar.gofin.Data=[[]]
buildervar.gofin.Description=[[derniere question]]

buildervar.regional = {}
buildervar.regional.Id ="810aa65c-e6a8-401e-b613-e81b6938e8fb"
buildervar.regional.Name = "regional"
buildervar.regional.Type = "String"
buildervar.regional.Data=[[300]]
buildervar.regional.Description=[[automotrices du sce regional]]

buildervar.signal = {}
buildervar.signal.Id ="eef599ac-304d-4895-b97e-4b4aff6501ba"
buildervar.signal.Name = "signal"
buildervar.signal.Type = "String"
buildervar.signal.Data=[[890]]
buildervar.signal.Description=[[signal]]


-- ZTimers --

-- Inputs --
zinputautmotrice = Wherigo.ZInput(cartRailgo)
zinputautmotrice.Id="26d77c66-b246-4ce8-adf0-998f4dc1b361"
zinputautmotrice.Name="autmotrice"
zinputautmotrice.Description=[[A quelle code a 3 chiffres correspond l'indice que vous avez trouve sur la terrain par rapport a votre road boock ?]]
zinputautmotrice.Visible=true
zinputautmotrice.InputType="Text"
zinputautmotrice.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputautmotrice.Text=[[pose "dans un support". ]]

zinputconduite = Wherigo.ZInput(cartRailgo)
zinputconduite.Id="2296923d-430c-401c-862d-9514510368d0"
zinputconduite.Name="conduite"
zinputconduite.Description=[[Alors quelle est le diametre de la conduite de gaz presente sous vos pieds ?]]
zinputconduite.Visible=true
zinputconduite.InputType="Text"
zinputconduite.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputconduite.Text=[[chercher sur le panneau jaune ]]

zinputcarte = Wherigo.ZInput(cartRailgo)
zinputcarte.Id="3a041b05-bde7-4df9-b4cf-b4137a99154c"
zinputcarte.Name="carte"
zinputcarte.Description=[[Quels sont les deux premiers caracteres qui s'incrivent sur la carte trouve au poste precedent ? Vous devez utiliser cette carte a son emplacement correct pour le decouvrir. Si les caracteres sonbt effaces.. appelez au 078 668 29 03]]
zinputcarte.Visible=true
zinputcarte.InputType="Text"
zinputcarte.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputcarte.Text=[[utilisez la a l'endroit prevu, ne saisir que les 2 premies caracteres]]
zinputcarte.Media=zmediabouche

zinputsignal = Wherigo.ZInput(cartRailgo)
zinputsignal.Id="8809ef96-4000-4aa4-9677-261d757e640e"
zinputsignal.Name="signal"
zinputsignal.Description=[[quel est le bon signal de sortie pour indiquer une sortie a 60 km/h de la gare de Vauderens direction Oron Lausanne ]]
zinputsignal.Visible=true
zinputsignal.InputType="Text"
zinputsignal.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputsignal.Text=[[observez le signal]]

zinputregional = Wherigo.ZInput(cartRailgo)
zinputregional.Id="7fead35c-695f-47e7-8a45-9847f2ec9319"
zinputregional.Name="regional"
zinputregional.Description=[[Quelle automotrice / train automoteur n'a jamais ete utilise pour assurer du service "omnibus" puis regional et enfin RER / S-BAHN ?]]
zinputregional.Visible=true
zinputregional.InputType="Text"
zinputregional.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputregional.Text=[[]]

zinputinstallation = Wherigo.ZInput(cartRailgo)
zinputinstallation.Id="4924c339-e467-40e2-876d-f41b8ed48f1c"
zinputinstallation.Name="installation"
zinputinstallation.Description=[[quelle etait l'installation , en gare de Vauderens, pour ravitailler les machines a vapeur]]
zinputinstallation.Visible=true
zinputinstallation.InputType="Text"
zinputinstallation.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputinstallation.Text=[[]]

zinputDernierequestion = Wherigo.ZInput(cartRailgo)
zinputDernierequestion.Id="a08af944-811d-4032-9e4f-d54f342a44eb"
zinputDernierequestion.Name="Derniere question"
zinputDernierequestion.Description=[[Et voila la derniere... Quelle etait l'installation utile pour ravitailler les machines a vapeur ? Trouvez l'indice en dessous de vous si vous etes assis !]]
zinputDernierequestion.Visible=true
zinputDernierequestion.InputType="Text"
zinputDernierequestion.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputDernierequestion.Text=[[trouvez l'indice]]

--
-- Events/Conditions/Actions --
--

-------------------------------------------------------------------------------
------Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------

function cartRailgo:OnStart()
-- #GroupDescription=depart --
-- #Comment=depart Comment --
zoneautomotrice.Active = true
zoneautomotrice.Visible = true
ztaskgoauto.Active = true
ztaskgoauto.Visible = true
zonealimentation.Visible = false
zonealimentation.Active = false
ztaskgoravita.Visible = false
ztaskgoravita.Active = false
zonechercher.Active = false
zonechercher.Visible = false
ztaskgocherche.Active = false
ztaskgocherche.Visible = false
zonesignaux.Active = false
zonesignaux.Visible = false
zoneRoches.Visible = false
zoneRoches.Active = false
zonepause.Visible = false
zonepause.Active = false
zoneFinale.Visible = false
zoneFinale.Active = false
ztaskgoroche.Active = false
ztaskgoroche.Visible = false
ztaskgofin.Visible = false
ztaskgofin.Active = false
ztaskgopause.Visible = false
ztaskgopause.Active = false
Wherigo.PlayAudio(zmediaChasseauxtresors)
Wherigo.MessageBox{Text=[[Bonjour et Bienvenu dans cette nouvelle cartouche Wherigo de ma conception. Pour demarrer votre aventure vous devrez trouver l'entree des "1975"]],Media=zmediatunnel,Buttons={"J'y vais",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB1}
end

function zoneautomotrice:OnEnter()
-- #GroupDescription=recherauto --
-- #Comment=recherauto Comment --
zonealimentation.Active = true
zonealimentation.Visible = true
ztaskgoravita.Active = true
ztaskgoravita.Visible = true
Wherigo.Command("Alert")
Wherigo.PlayAudio(zmediabepp)
Wherigo.MessageBox{Text=[[Alors vous devrez trouver dans le secteur un indice. Il est magnetise et camoufle sur un support de sa couleur. Quelques petites indications : Il y a du jaune, vous ne pouvez le prendre que depuis le chemin. INTERDICTION DE PASSER LES PETITS FILS DE FER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Un bras long suffit a denicher la boite ! Quel est le nombre a 3 chiffres qui represente l'indice sur votre roadboock ?]],Media=zmediatunnel,Buttons={"Eureka !!!",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB2}
end

function zoneautomotrice:OnExit()
-- #GroupDescription=dpauto --
-- #Comment=dpauto Comment --
ztaskgoauto.CorrectState = "correct"
ztaskgoauto.Complete = true
cartRailgo:RequestSync()
end

function zonealimentation:OnExit()
-- #GroupDescription=dpravi --
-- #Comment=dpravi Comment --
ztaskgoravita.CorrectState = "correct"
ztaskgoravita.Complete = true
cartRailgo:RequestSync()
end

function zonealimentation:OnEnter()
-- #GroupDescription=questionravi --
-- #Comment=questionravi Comment --
zonechercher.Active = true
zonechercher.Visible = true
ztaskgocherche.Active = true
ztaskgocherche.Visible = true
Wherigo.PlayAudio(zmediagloup)
Wherigo.Command("StopSound")
Wherigo.PlayAudio(zmediabepp)
Wherigo.Command("Alert")
Wherigo.MessageBox{Text=[[Quelle est le diametre de la conduite de gaz a proximite ? Cherchez un panneau jaune sur votre gauche en descendant !]],Media=zmediaciterne,Buttons={"j'ai trouve",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB4}
end

function zonechercher:OnEnter()
-- #GroupDescription=entregroupe --
-- #Comment=entregroupe Comment --
zonesignaux.Active = true
zonesignaux.Visible = true
ztaskgoga.Active = true
ztaskgoga.Visible = true
Wherigo.PlayAudio(zmediabepp)
Wherigo.Command("Alert")
Wherigo.MessageBox{Text=[[Cherchez au pied du piquet orange.Entre les cailloux. merci de ne prendre qu'une seulée carte par equipe ! Vous devrez trouver comment et ou utlisier cette carte...]],Media=zmediapiquet,Buttons={"J'ai pris une carte",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB5}
end

function zonechercher:OnExit()
-- #GroupDescription=sortiecherche --
-- #Comment=sortiecherche Comment --
ztaskgocherche.CorrectState = "correct"
ztaskgocherche.Complete = true
cartRailgo:RequestSync()
end

function zoneFinale:OnEnter()
-- #GroupDescription=finale --
-- #Comment=finale Comment --
Wherigo.PlayAudio(zmediabepp)
Wherigo.MessageBox{Text=[[Inspirez-vous de la photo pour retrouvez la boite. Il s'agit de la souche la plus "plate" ou "basse" dans la zone !]],Media=zmediaindice,Buttons={"j'ai trouve",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB23}
cartRailgo.Complete = true
Wherigo.Command("SaveClose")
end

function zoneRoches:OnExit()
-- #GroupDescription=sortieroche --
-- #Comment=sortieroche Comment --
ztaskgoroche.CorrectState = "correct"
ztaskgoroche.Complete = true
cartRailgo:RequestSync()
end

function zonesignaux:OnExit()
-- #GroupDescription=sortiegare --
-- #Comment=sortiegare Comment --
ztaskgoga.CorrectState = "correct"
ztaskgoauto.Complete = true
ztaskgocherche.Complete = true
ztaskgoravita.Complete = true
ztaskgoga.Complete = true
cartRailgo:RequestSync()
end

function zonesignaux:OnEnter()
-- #GroupDescription=entregare --
-- #Comment=entregare Comment --
ztaskgoravita.Visible = false
ztaskgocherche.Visible = false
zoneRoches.Active = true
zoneRoches.Visible = true
ztaskgoroche.Active = true
ztaskgoroche.Visible = true
Wherigo.PlayAudio(zmediabepp)
Wherigo.Command("Alert")
Wherigo.MessageBox{Text=[[Maintenant vous devrez repondre a deux questions pour continuer. ]],Media=zmediaautomotrice,Buttons={"1ere question",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB12}
end

function zoneRoches:OnEnter()
-- #GroupDescription=entreroche --
-- #Comment=entreroche Comment --
zonepause.Active = true
zonepause.Visible = true
ztaskgopause.Active = true
zonepause.Visible = true
Wherigo.PlayAudio(zmediabepp)
Wherigo.Command("Alert")
Wherigo.MessageBox{Text=[[Vous devriez trouver une petite etiquette collee dans une interdiction. Celle-ci vous donne la reponse a la question suivante : Quelle train automoteur / automotrice n'a jamais ete concue pour le service regional / RER / S-Bahn ? Tapez le code correspondant depuis votre road-boock pour liberer le point suivant.]],Buttons={"code",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB17}
end

function zinputautmotrice:OnGetInput(input)
-- #GroupDescription=inputauto --
-- #Comment=inputauto Comment --
if   automotrice ~= 471 then
Wherigo.PlayAudio(zmedianananere)
Wherigo.GetInput(zinputautmotrice)
else
Wherigo.MessageBox{Text=[[Bravo maintenant continuez votre route en direction du point suivant : Un point pour "faire le plein".]],Media=zmediaciterne,Buttons={"gloup gloup",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB7}
end
end

function zinputconduite:OnGetInput(input)
-- #GroupDescription=inputconduite --
-- #Comment=inputconduite Comment --
if   diametre ~= 90 then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[Vous etes sur d'avoir lus le bon panneau jaune ? Le logo diameter est un cercle barre. Alors tentez un nouvel essai.]],Buttons={"2eme chance",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB9}
else
zonechercher.Active = true
zonechercher.Visible = true
ztaskgocherche.Active = true
ztaskgocherche.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonechercher)
end
end

function zoneFinale:OnExit()
-- #GroupDescription=exizfin --
-- #Comment=exizfin Comment --
end

function zinputcarte:OnGetInput(input)
-- #GroupDescription=controlecarte --
-- #Comment=controlecarte Comment --
if   not Wherigo.NoCaseEquals(carte,"VD") then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[Ne saisir  que les 2 premiers caracteres ! Vous etes sur de vous ? relisez la carte et eventuellement refaite une manipulation... si le code est illisible vous pouvez contacter le owner au 078 668 29 03 pour le demander. ]],Buttons={"ok je retente une saisie",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB11}
else
Wherigo.MessageBox{Text=[[Bravo vous avez trouve le bon usage. Maintenant regardez en direction de Lausanne. Un train dois quitter la gare a 60 km/h. Sur votre logboock, quel dessin correspondrais a ce que les signaux montreront ? Indiquez le code a 3 chiffres]],Buttons={"reponse",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB13}
end
end

function zinputsignal:OnGetInput(input)
-- #GroupDescription=Script --
-- #Comment=Script Comment --
if   not Wherigo.NoCaseEquals(signal,"890") then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[observez mieux les mats de signaux !]],Buttons={"ok",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB14}
else
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneRoches)
end
end

function zinputregional:OnGetInput(input)
-- #GroupDescription=inputregio --
-- #Comment=inputregio Comment --
if   not Wherigo.NoCaseEquals(regional,"300") then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[Eh non ce n'est pas ce vehicule.... Tentez de rechercher a nouveau l'indice....]],Buttons={"ok",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB15}
else
Wherigo.MessageBox{Text=[[Bravo vous pouvez aller prendre une pause avant de chercher la boite aux tresors. Laissez-moi vous guider !]],Buttons={"chouette",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB16}
end
end

function zonepause:OnExit()
-- #GroupDescription=sortpause --
-- #Comment=sortpause Comment --
ztaskgopause.CorrectState = "correct"
ztaskgopause.Complete = true
cartRailgo:RequestSync()
end

function zonepause:OnEnter()
-- #GroupDescription=enterpause --
-- #Comment=enterpause Comment --
ztaskgoroche.Complete = true
ztaskgoga.Complete = true
zoneFinale.Active = true
zoneFinale.Visible = true
ztaskgofin.Active = true
ztaskgofin.Visible = true
Wherigo.PlayAudio(zmediabepp)
Wherigo.Command("Alert")
Wherigo.MessageBox{Text=[[Profitez un peu du paysage pour decouvrir la region. La gare de Vauderens, a vos pieds, disposait d'une installation pour ravitailler les machines a vapeur. Elles venaient de vaincre le "col de Vauderens". Nbre d'ingénieurs avaient prophétise que jamais un train n'arriveraient ici. Quelle infrastructure, aujourd'hui demolie, se trouvait en gare. Cette construction etait alimentee par le massif sur lequel vous vous trouvez. Quelle est cette installation ? La reponse est dans une petite boite cachee en dessous de vous si vous profitez du paysage ! Tapez le nombre a 3 chiffres pour valider le code de cette cartouche. Ce nombre est mentionne sur le dessin contenu dans la boite]],Media=zmediapausegarfield,Buttons={"reponse",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB22}
end

function zinputinstallation:OnGetInput(input)
-- #GroupDescription=entrepauser --
-- #Comment=entrepauser Comment --
if   not Wherigo.NoCaseEquals(infrastructure,"200") then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[recherchez bien. Vous avez regarde sous le banc ?]],Buttons={"EUREKA",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB18}
else
Wherigo.MessageBox{Text=[[direction la finale !!!! Servez-vous de la photo indice]],Media=zmediaindice,Buttons={"j'y vais",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB19}
end
end

function zinputDernierequestion:OnGetInput(input)
-- #GroupDescription=dernierque --
-- #Comment=dernierque Comment --
if   not Wherigo.NoCaseEquals(gofin,"200") then
Wherigo.PlayAudio(zmedianananere)
Wherigo.MessageBox{Text=[[cherchez mieux....]],Buttons={"si vous le dite",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB20}
else
Wherigo.MessageBox{Text=[[BRAVO, foncez cherchez la boite !!!]],Media=zmediaindice,Buttons={"j'y vais",},Callback=cartRailgo.MsgBoxCBFuncs.MsgBoxCB21}
end
end

function ztaskgoauto:OnClick()
-- #GroupDescription=gour --
-- #Comment=gour Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneautomotrice)
end

function ztaskgocherche:OnClick()
-- #GroupDescription=gochar --
-- #Comment=gochar Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonechercher)
end

function ztaskgofin:OnClick()
-- #GroupDescription=gofind --
-- #Comment=gofind Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end

function ztaskgoga:OnClick()
-- #GroupDescription=gogga --
-- #Comment=gogga Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonesignaux)
end

function ztaskgopause:OnClick()
-- #GroupDescription=gopouss --
-- #Comment=gopouss Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonepause)
end

function ztaskgoravita:OnClick()
-- #GroupDescription=goravirr --
-- #Comment=goravirr Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonealimentation)
end

function ztaskgoroche:OnClick()
-- #GroupDescription=goroche --
-- #Comment=goroche Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneRoches)
end
------End Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
------Builder Generated callbacks, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
--#LASTCALLBACKKEY=23#--
cartRailgo.MsgBoxCBFuncs.MsgBoxCB3 = function(action)
if action ~= nil then
-- #GroupDescription=codeauto --
-- #Comment=codeauto Comment --
Wherigo.GetInput(zinputautmotrice)
if   automotrice ~= 471 then
Wherigo.MessageBox{Text=[[Cherchez encore....]],}
else
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonealimentation)
end
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB6 = function(action)
if action ~= nil then
-- #GroupDescription=suitegare --
-- #Comment=suitegare Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonesignaux)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB10 = function(action)
if action ~= nil then
-- #GroupDescription=mercigare --
-- #Comment=mercigare Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonesignaux)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB13 = function(action)
if action ~= nil then
-- #GroupDescription=saisiesignaux --
-- #Comment=saisiesignaux Comment --
Wherigo.GetInput(zinputsignal)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB14 = function(action)
if action ~= nil then
-- #GroupDescription=oksign --
-- #Comment=oksign Comment --
Wherigo.GetInput(zinputsignal)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB15 = function(action)
if action ~= nil then
-- #GroupDescription=okregio --
-- #Comment=okregio Comment --
Wherigo.GetInput(zinputregional)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB16 = function(action)
if action ~= nil then
-- #GroupDescription=gopause --
-- #Comment=gopause Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonepause)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB21 = function(action)
if action ~= nil then
-- #GroupDescription=gofinal --
-- #Comment=gofinal Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB11 = function(action)
if action ~= nil then
-- #GroupDescription=resis --
-- #Comment=resis Comment --
Wherigo.GetInput(zinputcarte)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB9 = function(action)
if action ~= nil then
-- #GroupDescription=2emechance --
-- #Comment=2emechance Comment --
Wherigo.GetInput(zinputconduite)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB20 = function(action)
if action ~= nil then
-- #GroupDescription=dite --
-- #Comment=dite Comment --
Wherigo.GetInput(zinputDernierequestion)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB7 = function(action)
if action ~= nil then
-- #GroupDescription=gloup --
-- #Comment=gloup Comment --
zonealimentation.Active = true
zonealimentation.Visible = true
ztaskgoravita.Active = true
ztaskgoravita.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonealimentation)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB23 = function(action)
if action ~= nil then
-- #GroupDescription=eureka --
-- #Comment=eureka Comment --
cartRailgo.Complete = true
Wherigo.Command("SaveClose")
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB19 = function(action)
if action ~= nil then
-- #GroupDescription=gofina --
-- #Comment=gofina Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB18 = function(action)
if action ~= nil then
-- #GroupDescription=eureka --
-- #Comment=eureka Comment --
Wherigo.GetInput(zinputinstallation)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB1 = function(action)
if action ~= nil then
-- #GroupDescription=gotunnel --
-- #Comment=gotunnel Comment --
zoneautomotrice.Active = true
zoneautomotrice.Visible = true
ztaskgoauto.Visible = true
ztaskgoauto.Active = true
Wherigo.Command("StopSound")
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneautomotrice)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB4 = function(action)
if action ~= nil then
-- #GroupDescription=Script --
-- #Comment=Script Comment --
Wherigo.GetInput(zinputconduite)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB2 = function(action)
if action ~= nil then
-- #GroupDescription=eurekaauto --
-- #Comment=eurekaauto Comment --
Wherigo.GetInput(zinputautmotrice)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB17 = function(action)
if action ~= nil then
-- #GroupDescription=coderoche --
-- #Comment=coderoche Comment --
Wherigo.GetInput(zinputregional)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB22 = function(action)
if action ~= nil then
-- #GroupDescription=reppaude --
-- #Comment=reppaude Comment --
Wherigo.GetInput(zinputinstallation)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB8 = function(action)
if action ~= nil then
-- #GroupDescription=tente2 --
-- #Comment=tente2 Comment --
Wherigo.GetInput(zinputautmotrice)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB12 = function(action)
if action ~= nil then
-- #GroupDescription=1erqugare --
-- #Comment=1erqugare Comment --
Wherigo.GetInput(zinputcarte)
end
end

cartRailgo.MsgBoxCBFuncs.MsgBoxCB5 = function(action)
if action ~= nil then
-- #GroupDescription=carte trouvee --
-- #Comment=carte trouvee Comment --
zonesignaux.Active = true
zonesignaux.Visible = true
ztaskgoga.Active = true
ztaskgoga.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonesignaux)
end
end

------End Builder Generated callbacks, Do not Edit, this will be overwritten------
-- #Author Functions Go Here# --
-- #End Author Functions# --
-- Nothing after this line --
return cartRailgo
